
public class Class571 {

   int anInt7566;
   int anInt7567;
   int anInt7568;
   int anInt7569;
   int anInt7570;
   int anInt7571;
   int anInt7572;
   int anInt7573;
   int anInt7574;
   int anInt7575;


   public boolean method12185(int var1, int var2, int var3) {
      if(var1 >= this.anInt7570 && var1 <= this.anInt7571) {
         if(var2 >= this.anInt7567 && var2 <= this.anInt7574) {
            if(var3 >= this.anInt7572 && var3 <= this.anInt7575) {
               int var4 = var1 - this.anInt7573;
               int var5 = var3 - this.anInt7568;
               return var4 * var4 + var5 * var5 < this.anInt7569;
            } else {
               return false;
            }
         } else {
            return false;
         }
      } else {
         return false;
      }
   }

   Class571(int var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8, int var9, int var10) {
      this.anInt7573 = var1;
      this.anInt7566 = var2;
      this.anInt7568 = var3;
      this.anInt7569 = var4 * var4;
      this.anInt7570 = this.anInt7573 + var5;
      this.anInt7571 = this.anInt7573 + var6;
      this.anInt7567 = this.anInt7566 + var7;
      this.anInt7574 = this.anInt7566 + var8;
      this.anInt7572 = this.anInt7568 + var9;
      this.anInt7575 = this.anInt7568 + var10;
   }

   public boolean method12186(int var1, int var2, int var3) {
      if(var1 >= this.anInt7570 && var1 <= this.anInt7571) {
         if(var2 >= this.anInt7567 && var2 <= this.anInt7574) {
            if(var3 >= this.anInt7572 && var3 <= this.anInt7575) {
               int var4 = var1 - this.anInt7573;
               int var5 = var3 - this.anInt7568;
               return var4 * var4 + var5 * var5 < this.anInt7569;
            } else {
               return false;
            }
         } else {
            return false;
         }
      } else {
         return false;
      }
   }

   void method12187(int var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8, int var9, int var10) {
      this.anInt7573 = var1;
      this.anInt7566 = var2;
      this.anInt7568 = var3;
      this.anInt7569 = var4 * var4;
      this.anInt7570 = this.anInt7573 + var5;
      this.anInt7571 = this.anInt7573 + var6;
      this.anInt7567 = this.anInt7566 + var7;
      this.anInt7574 = this.anInt7566 + var8;
      this.anInt7572 = this.anInt7568 + var9;
      this.anInt7575 = this.anInt7568 + var10;
   }
}
